Page MenuHomePhabricator

the message action-docseditor appears as part of "Extensions used by Wikimedia" even though it was moved
Closed, ResolvedPublic

Description

The message action-docseditor was moved to action-edit-docs, see https://translatewiki.net/w/i.php?title=MediaWiki:Action-edit-docs/en&action=history

However, I still see this message as part of "Extensions used by Wikimedia": https://translatewiki.net/wiki/Special:Translate?filter=%21translated&action=translate&language=he&group=ext-0-wikimedia

Also, when I look at untranslated Hebrew messages in Extensions used by Wikimedia and click on "Edit documentation" (right-edit-docs), I don't see the qqq documentation in the sidebar. It appears to exist at the incorrect title https://translatewiki.net/wiki/MediaWiki:Right-docseditor/qqq .

Tagging WikimediaMessages because it's related, but the real problem is probably at translatewiki.

Event Timeline

Amire80 created this task.Sep 11 2020, 12:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2020, 12:39 PM

Noting that the user right is part of MediaWiki-skins-WikimediaApiPortal (rSWAP skin-WikimediaApiPortal), not WikimediaMessages. See rSWAP skin.json ($31 et seq.) and rSWAP i18n/en.json ($$6-7). Should probably be in its own group?

Change 626679 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] [WikimediaApiPortal] Register skin

https://gerrit.wikimedia.org/r/626679

Change 626679 abandoned by MarcoAurelio:
[translatewiki@master] [WikimediaApiPortal] Register skin

Reason:
Mistake.

https://gerrit.wikimedia.org/r/626679

However, I still see this message as part of "Extensions used by Wikimedia": https://translatewiki.net/wiki/Special:Translate?filter=%21translated&action=translate&language=he&group=ext-0-wikimedia

> $t = Title::newFromText( 'MediaWiki:Action-edit-docs/en' );

> $h = new MessageHandle( $t );

> var_dump( $h->getGroupIds() );
array(6) {
  [0]=>
  string(33) "mediawiki-skin-wikimediaapiportal"
  [1]=>
  string(9) "mediawiki"
  [2]=>
  string(19) "wikimedia-technical"
  [3]=>
  string(15) "ext-0-wikimedia"
  [4]=>
  string(9) "ext-0-all"
  [5]=>
  string(20) "mediawiki-skin-0-all"
}

Same in a tree structure:

  • mediawiki
    • ext-0-all
      • ext-0-wikimedia
        • wikimedia-advanced
          • wikimedia-technical
            • mediawiki-skin-wikimediaapiportal
    • mediawiki-skin-0-all
      • mediawiki-skin-wikimediaapiportal

And for the previous name

> $t = Title::newFromText( 'MediaWiki:Action-docseditor/en' );

> $h = new MessageHandle( $t );

> var_dump( $h->getGroupIds() );
array(5) {
  [0]=>
  string(21) "ext-wikimediamessages"
  [1]=>
  string(9) "mediawiki"
  [2]=>
  string(18) "wikimedia-advanced"
  [3]=>
  string(15) "ext-0-wikimedia"
  [4]=>
  string(9) "ext-0-all"
}

Comes from https://codesearch.wmcloud.org/search/?q=action-docseditor&i=nope&files=&repos=

Can someone explain what is the expected state here? As far as I can see translatewiki.net is fully sync what is in in the repos.

Nikerabbit changed the task status from Open to Stalled.Sep 15 2020, 10:26 AM
Amire80 changed the task status from Stalled to Open.Sep 15 2020, 11:05 AM

Can someone explain what is the expected state here? As far as I can see translatewiki.net is fully sync what is in in the repos.

To begin with:

One. If I run git grep action-docseditor in WikimediaMessages, I see:

i18n/wikimedia/de.json: "action-docseditor": "Dokumentation bearbeiten",
i18n/wikimedia/diq.json:        "action-docseditor": "Dokumani bıvurne",
i18n/wikimedia/en.json: "action-docseditor": "edit documentation",
i18n/wikimedia/fr.json: "action-docseditor": "modifier la documentation",
i18n/wikimedia/he.json: "action-docseditor": "לערוך תיעוד",
i18n/wikimedia/hr.json: "action-docseditor": "uređivanje dokumentacije",
i18n/wikimedia/id.json: "action-docseditor": "sunting dokumentasi",
i18n/wikimedia/lb.json: "action-docseditor": "Dokumentatioun änneren",
i18n/wikimedia/mk.json: "action-docseditor": "уредување на документација",
i18n/wikimedia/ms.json: "action-docseditor": "sunting pendokumenan",
i18n/wikimedia/nb.json: "action-docseditor": "redigere dokumentasjon",
i18n/wikimedia/nl.json: "action-docseditor": "documentatie te bewerken",
i18n/wikimedia/pl.json: "action-docseditor": "edytowania dokumentacji",
i18n/wikimedia/pt-br.json:      "action-docseditor": "editar documentação",
i18n/wikimedia/pt.json: "action-docseditor": "editar documentação",
i18n/wikimedia/qqq.json:        "action-docseditor": "{{Doc-action|docseditor}}\n{{Identical|Edit documentation}}",
i18n/wikimedia/sv.json: "action-docseditor": "redigera dokumentation",
i18n/wikimedia/tr.json: "action-docseditor": "belgeyi düzenle",
i18n/wikimedia/uk.json: "action-docseditor": "редагування документації",
i18n/wikimedia/zh-hans.json:    "action-docseditor": "编辑文档",
i18n/wikimedia/zh-hant.json:    "action-docseditor": "編輯文件",

But if I go to https://translatewiki.net/w/i.php?title=Special:Translations&uselang=en&message=MediaWiki%3AAction-docseditor%2Fhe , I only see:

NameCurrent message text
h French (fr)modifier la documentation
h Norwegian Bokmål (nb)redigere dokumentasjon

I'd expect all the languages from the grep above to appear in Special:Translations.

Two: When I go to https://translatewiki.net/wiki/Special:Translate?filter=%21translated&action=translate&language=he&group=ext-0-wikimedia (untranslated messages to Hebrew in "Extensions used by Wikimedia"), I see an untranslated "Action-docseditor", which is probably fine. But it doesn't have any qqq in the sidebar. The corresponding qqq message page https://translatewiki.net/wiki/MediaWiki:Action-docseditor/qqq doesn't exist. It was moved to https://translatewiki.net/wiki/MediaWiki:Action-edit-docs/qqq by User:Raymond on September 10. I'm not sure why.

@Raymond Can you have a look?

@Raymond Can you have a look?

Yes. tomorrow morning. I was for some days in travelling mode. Now at home again.

My move from action-docseditor to action-edit-docs was triggered by https://gerrit.wikimedia.org/r/c/mediawiki/skins/WikimediaApiPortal/+/626188

I was unaware that the repo WikimediaMessages has it's own action-docseditor message. I moved back so that qqq should be OK again. running the export now...

The export looks OK now. Task resolved?

Amire80 closed this task as Resolved.Sep 16 2020, 7:40 AM
Amire80 claimed this task.

Yeah, looks OK. Thanks!